| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.SourceView.SourceIter

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Description

Adds extra useful methods for TextIter for searching forwards and backwards within a region in the buffer and matching brackets.

- There is no SourceIter object, just extra methods for TextIter

Synopsis

data SourceSearchFlags

= SourceSearchVisibleOnly
| SourceSearchTextOnly
| SourceSearchCaseInsensitive

sourceIterForwardSearch :: TextIter -> String -> [SourceSearchFlags] -> Maybe TextIter -> IO (Maybe (TextIter, TextIter))
sourceIterBackwardSearch :: TextIter -> String -> [SourceSearchFlags] -> Maybe TextIter -> IO (Maybe (TextIter, TextIter))

Documentation
data SourceSearchFlags

Constructors

SourceSearchVisibleOnly |
SourceSearchTextOnly |
SourceSearchCaseInsensitive |

Instances

Bounded SourceSearchFlags
Enum SourceSearchFlags
Eq SourceSearchFlags
Read SourceSearchFlags
Show SourceSearchFlags
Flags SourceSearchFlags

sourceIterForwardSearch :: TextIter -> String -> [SourceSearchFlags] -> Maybe TextIter -> IO (Maybe (TextIter, TextIter))
same as `textIterForwardSearch` but allows case insensitive search and possibly in the future regular expressions.
sourceIterBackwardSearch :: TextIter -> String -> [SourceSearchFlags] -> Maybe TextIter -> IO (Maybe (TextIter, TextIter))
same as `textIterForwardSearch` but allows case insensitive search and possibly in the future regular expressions.
Produced by Haddock version 2.4.2